Skip to main content
POST
/
api
/
v2
/
customers
/
{customerId}
/
mandates
Create mandate for customer
curl --request POST \
  --url https://rcur.app/api/v2/customers/{customerId}/mandates \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "consumer_name": "John Doe",
  "consumer_account": "NL55INGB0000000000",
  "custom_mandate_reference": "MY-REF-001"
}
'
{
  "id": "mdt_abc123",
  "method": "directdebit",
  "status": "valid",
  "details": {
    "consumer_name": "John Doe",
    "consumer_account": "NL55INGB0000000000",
    "consumer_bic": "INGBNL2A",
    "card_holder": "J. Doe",
    "card_number": "6787",
    "card_expiry_date": "2028-12-31",
    "card_label": "Mastercard",
    "card_fingerprint": "Fh94dX2V"
  },
  "custom_mandate_reference": "MY-REF-001",
  "signature_date": "2025-01-15"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

customerId
string
required

Body

application/json

Mandate data

consumer_name
string
required

Consumer name

Example:

"John Doe"

consumer_account
string
required

IBAN account number

Example:

"NL55INGB0000000000"

custom_mandate_reference
string

Custom mandate reference

Example:

"MY-REF-001"

Response

Mandate details

id
string
required
Example:

"mdt_abc123"

method
enum<string>
required
Available options:
directdebit,
creditcard
Example:

"directdebit"

status
enum<string>
required
Available options:
valid,
invalid,
pending
Example:

"valid"

details
object
required
custom_mandate_reference
string | null
Example:

"MY-REF-001"

signature_date
string | null
Example:

"2025-01-15"